    # File lib/memcache/local_server.rb, line 44
        def set(key, value, expiry = 0, flags = 0)
          key = cache_key(key)
          @data[key] = value.to_s
          expiry = Time.at(expiry) if expiry > 60*60*24*30
          if expiry.kind_of?(Time)
            @expiry[key] = expiry
          else
            expiry = expiry.to_i
            @expiry[key] = expiry == 0 ? nil : Time.now + expiry
          end
          value
        end